/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Assert.java 24 2006-02-22 14:13:52Z studzine $
 * --------------------------------------------------------------------------
 */
package org.objectweb.easybeans.tests.common.asserts;

import static org.objectweb.easybeans.tests.common.helper.PrintHelper.getPrintOrderErrorMsg;

import java.util.List;

/**
 * It's creates new asserts functions.
 * @author Eduardo Studzinski Estima de Castro
 * @author Gisele Pinheiro Souza
 */
public class Assert extends org.testng.Assert{

    /**
     * Asserts that two lists has the same elements.
     * @param expected first list to compare
     * @param result second list to compare
     * @param message if assert fails, exception message
     */
    public static void assertEquals(final List expected, final List result, final String message) {


        // Checks if the arrays has the same size
        if (expected.size() == result.size()) {
            // Compare each element
            for (int i = 0; i < expected.size(); i++) {
                if (!(expected.get(i).equals(result.get(i)))) {
                    throw new AssertionError(getPrintOrderErrorMsg(expected, result, message));
                }
            }
        } else {
            throw new AssertionError(getPrintOrderErrorMsg(expected, result, message));
        }
    }
}
