/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: TagInput.java 23 2006-02-22 14:10:17Z studzine $
 * --------------------------------------------------------------------------
 */
package org.objectweb.easybeans.tests.taglets;

import java.util.Map;

import com.sun.javadoc.Tag;
import com.sun.tools.doclets.Taglet;


/**
 * Creates a customized tag.
 * @author Eduardo Studzinski Estima de Castro
 * @author Gisele Pinheiro Souza
 *
 */
public class TagInput extends BaseTaglet {

    /**
     * Default constructor.
     */
    public TagInput(){
        super("input");
    }

    /**
     * Register this Taglet.
     * @param tagletMap the map to register this tag to.
     */
    @SuppressWarnings("unchecked")
    public static void register(final Map tagletMap) {
       TagInput tag = new TagInput();
       Taglet t = (Taglet) tagletMap.get(tag.getName());
       if (t != null) {
           tagletMap.remove(tag.getName());
       }
       tagletMap.put(tag.getName(), tag);
    }

    /**
     * Given the <code>Tag</code> representation of this custom
     * tag,return its string representation.
     * @param tag the <code>Tag</code> representation of this custom tag.
     * @return output format of tag text
     */
    public String toString(final Tag tag) {
        return "<DT>Input:<DD>" + tag.text();
    }
}
